#ifndef EDITSCENE_ACTUATOR_EDITOR_HPP
#define EDITSCENE_ACTUATOR_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/Actuator.hpp"

class ActionDatabase;

class ActuatorEditor : public ComponentEditor<ActuatorComponent> {
public:
	const char *getName() const override
	{
		return "Actuator";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     ActuatorComponent &actuator) override;

private:
	ActionDatabase *findDatabase(flecs::entity entity);
};

#endif // EDITSCENE_ACTUATOR_EDITOR_HPP
